﻿using System;
using System.IO; 
using System.Windows.Forms;  
using Eplan.EplApi.ApplicationFramework;
using Eplan.EplApi.Gui;    
using Eplan.EplApi.Base;
using Eplan.EplApi.Scripting;

public class SetCursorColor
{  
    //Cursor-Frabe je EPLAN-Farbscheme benutzerdefiniert setzen
    // (c) nairolf / 2011
    // ~~~ change log ~~~
    // 2011-07-18   Programmerstellung
    // ~~~ end change log ~~~
   
    [Start]
    public void Setting_SetCursorColor()
    {
        //Farbcode für Schema WEISS
        int SchemeWhite_CursorCol_RED = 128;    //EPLAN-Default-Wert: 128
        int SchemeWhite_CursorCol_GREEN = 128;  //EPLAN-Default-Wert: 128
        int SchemeWhite_CursorCol_BLUE = 128;   //EPLAN-Default-Wert: 128                

        //Farbcode für Schema GRAU
        int SchemeGray_CursorCol_RED = 192;     //EPLAN-Default-Wert: 192
        int SchemeGray_CursorCol_GREEN = 0;     //EPLAN-Default-Wert: 0
        int SchemeGray_CursorCol_BLUE = 0;      //EPLAN-Default-Wert: 0               

        //Farbcode für Schema SCHWARZ
        int SchemeBlack_CursorCol_RED = 255;    //EPLAN-Default-Wert: 255
        int SchemeBlack_CursorCol_GREEN = 255;  //EPLAN-Default-Wert: 255
        int SchemeBlack_CursorCol_BLUE = 255;   //EPLAN-Default-Wert: 255
        

        //set cursor color
        Settings oSettings = new Settings();

        #region COLOR-SCHEME: GRAY
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.White.Cursor.Red", SchemeWhite_CursorCol_RED, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.White.Cursor.Green", SchemeWhite_CursorCol_GREEN, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.White.Cursor.Blue", SchemeWhite_CursorCol_BLUE, 0);
        #endregion

        #region COLOR-SCHEME: GRAY
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Gray.Cursor.Red", SchemeGray_CursorCol_RED, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Gray.Cursor.Green", SchemeGray_CursorCol_GREEN, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Gray.Cursor.Blue", SchemeGray_CursorCol_BLUE, 0);
        #endregion
        
        #region COLOR-SCHEME: BLACK
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Black.Cursor.Red", SchemeBlack_CursorCol_RED, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Black.Cursor.Green", SchemeBlack_CursorCol_GREEN, 0);
        oSettings.SetNumericSetting("USER.GedViewer.ColorSchema.Black.Cursor.Blue", SchemeBlack_CursorCol_BLUE , 0);
        #endregion       

        MessageBox.Show("Cursor-Farbschema geändert.\nEPLAN muß neu gestartet werden damit die neue Einstellung übernommen wird.", "SetCursorColor", MessageBoxButtons.OK, MessageBoxIcon.Information);
        

    }
    
    


}